{
  description = "A flake providing espressifs rust fork for esp32";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
  };

  outputs = {
    self,
    nixpkgs,
  }: let
    system = "x86_64-linux";
    pkgs = nixpkgs.legacyPackages.${system};
  in {
    packages.${system}.rust = import ./rust.nix {inherit pkgs;};
    packages.${system}.clang = import ./clang.nix {inherit pkgs;};
    packages.${system}.default = self.packages.${system}.rust;
  };
}
